archivers/libaec - The NetBSD Packages Collection

Adaptive entropy coding library

Libaec provides fast lossless compression of 1 up to 32 bit wide signed
or unsigned integers (samples). The library achieves best results for
low entropy data as often encountered in space imaging instrument data or
numerical model output from weather or climate simulations. While floating
point representations are not directly supported, they can also be efficiently
coded by grouping exponents and mantissa.

Libaec implements Golomb-Rice coding as defined in the Space Data System
Standard documents 121.0-B-2 and 120.0-G-2.

Libaec includes a free drop-in replacement for the SZIP library.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/automake devel/autoconf

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibaec-1.0.4.tgz
NetBSD 8.0earmv7hflibaec-1.0.4.tgz
NetBSD 8.0earmv7hflibaec-1.0.4.tgz
NetBSD 8.0i386libaec-1.0.4.tgz
NetBSD 8.0i386libaec-1.0.4.tgz
NetBSD 8.0powerpclibaec-1.0.4.tgz
NetBSD 8.0powerpclibaec-1.0.4.tgz
NetBSD 8.0powerpclibaec-1.0.4.tgz
NetBSD 8.0powerpclibaec-1.0.4.tgz
NetBSD 8.0x86_64libaec-1.0.4.tgz
NetBSD 8.0x86_64libaec-1.0.4.tgz
NetBSD 9.0aarch64libaec-1.0.4.tgz
NetBSD 9.0aarch64libaec-1.0.4.tgz
NetBSD 9.0aarch64libaec-1.0.4.tgz
NetBSD 9.0alphalibaec-1.0.4.tgz
NetBSD 9.0alphalibaec-1.0.4.tgz
NetBSD 9.0alphalibaec-1.0.4.tgz
NetBSD 9.0earmlibaec-1.0.4.tgz
NetBSD 9.0earmlibaec-1.0.4.tgz
NetBSD 9.0earmlibaec-1.0.4.tgz
NetBSD 9.0earmv6hflibaec-1.0.4.tgz
NetBSD 9.0earmv6hflibaec-1.0.4.tgz
NetBSD 9.0earmv6hflibaec-1.0.4.tgz
NetBSD 9.0earmv7hflibaec-1.0.4.tgz
NetBSD 9.0earmv7hflibaec-1.0.4.tgz
NetBSD 9.0earmv7hflibaec-1.0.4.tgz
NetBSD 9.0earmv7hflibaec-1.0.4.tgz
NetBSD 9.0i386libaec-1.0.4.tgz
NetBSD 9.0i386libaec-1.0.4.tgz
NetBSD 9.0m68klibaec-1.0.4.tgz
NetBSD 9.0m68klibaec-1.0.4.tgz
NetBSD 9.0m68klibaec-1.0.4.tgz
NetBSD 9.0m68klibaec-1.0.4.tgz
NetBSD 9.0mips64eblibaec-1.0.4.tgz
NetBSD 9.0mips64eblibaec-1.0.4.tgz
NetBSD 9.0mips64eblibaec-1.0.4.tgz
NetBSD 9.0mips64eblibaec-1.0.4.tgz
NetBSD 9.0mips64eblibaec-1.0.4.tgz
NetBSD 9.0mipsellibaec-1.0.4.tgz
NetBSD 9.0mipsellibaec-1.0.4.tgz
NetBSD 9.0mipsellibaec-1.0.4.tgz
NetBSD 9.0mipsellibaec-1.0.4.tgz
NetBSD 9.0powerpclibaec-1.0.4.tgz
NetBSD 9.0powerpclibaec-1.0.4.tgz
NetBSD 9.0powerpclibaec-1.0.4.tgz
NetBSD 9.0powerpclibaec-1.0.4.tgz
NetBSD 9.0sh3ellibaec-1.0.4.tgz
NetBSD 9.0sh3ellibaec-1.0.4.tgz
NetBSD 9.0sh3ellibaec-1.0.4.tgz
NetBSD 9.0sh3ellibaec-1.0.4.tgz
NetBSD 9.0sh3ellibaec-1.0.4.tgz
NetBSD 9.0sparc64libaec-1.0.4.tgz
NetBSD 9.0sparc64libaec-1.0.4.tgz
NetBSD 9.0sparc64libaec-1.0.4.tgz
NetBSD 9.0sparclibaec-1.0.4.tgz
NetBSD 9.0sparclibaec-1.0.4.tgz
NetBSD 9.0sparclibaec-1.0.4.tgz
NetBSD 9.0sparclibaec-1.0.4.tgz
NetBSD 9.0sparclibaec-1.0.4.tgz
NetBSD 9.0vaxlibaec-1.0.4.tgz
NetBSD 9.0vaxlibaec-1.0.4.tgz
NetBSD 9.0vaxlibaec-1.0.4.tgz
NetBSD 9.0vaxlibaec-1.0.4.tgz
NetBSD 9.0x86_64libaec-1.0.4.tgz
NetBSD 9.0x86_64libaec-1.0.4.tgz
NetBSD 9.0x86_64libaec-1.0.4.tgz
NetBSD 9.0x86_64libaec-1.0.4.tgz
NetBSD 9.0x86_64libaec-1.0.4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.